<?php
session_start();

// Verifica se os dados foram enviados pelo formulário
if ($_SERVER["REQUEST_METHOD"] == "POST") {

    // Obtém os dados do formulário
    $usuario_digitado = $_POST["usuario"];
    $senha_digitada = $_POST["senha"];

    // Conexão com o banco de dados
    $db_check1 = new SQLite3('.admin.db');
    $db_check1->exec('CREATE TABLE IF NOT EXISTS USERS(id INT PRIMARY KEY, NAME TEXT, USERNAME TEXT, PASSWORD TEXT, LOGO TEXT)');
    $rows = $db_check1->query('SELECT COUNT(*) as count FROM USERS');
    $row = $rows->fetchArray();

    $numRows = $row['count'];
    if ($numRows == 0) {
        // Cria usuário admin padrão
        $db_check1->exec('INSERT INTO USERS(id, NAME, USERNAME, PASSWORD, LOGO) VALUES(\'1\', \'Administrador\', \'' . $usuario_digitado . '\', \'' . $senha_digitada . '\', \'img/logo.png\')');
    }

    // Verifica as credenciais do usuário
    $sql_check = 'SELECT * FROM USERS WHERE USERNAME = "' . $usuario_digitado . '"';
    $ret_check = $db_check1->query($sql_check);
    $row_check = $ret_check->fetchArray();

    if ($row_check) {
        // Se o usuário for encontrado
        $id_check = $row_check['id'];
        $PASSWORD = $row_check['PASSWORD'];

        if ($PASSWORD == $senha_digitada) {
            // Login bem-sucedido
            $_SESSION['usuario_digitado'] = $usuario_digitado;
            header('Location: index.php');
            exit();
        } else {
            // Senha incorreta
            header('Location: login.php?erro=1');
            exit();
        }
    } else {
        // Usuário não encontrado
        header('Location: login.php?erro=1');
        exit();
    }
}
?>
